Skip to main content
GET
/
integrations
/
{integrationId}
/
resource-kinds
/
{resourceKind}
/
resources
List resources
curl --request GET \
  --url https://api.vanta.com/v1/integrations/{integrationId}/resource-kinds/{resourceKind}/resources \
  --header 'Authorization: Bearer <token>'
{
  "results": {
    "data": [
      {
        "responseType": "Resource",
        "resourceKind": "AsanaTask",
        "resourceId": "5e7400d77a8e3731ab2d5c8e",
        "connectionId": "62ffd6793ef7978318baefa8",
        "displayName": "My Security Task",
        "owner": null,
        "inScope": true,
        "description": null,
        "creationDate": "2024-03-06T19:02:25.202Z"
      }
    ],
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": "YXBvbGxv",
      "endCursor": "YXBvbGxv"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

integrationId
string
required

Unique identifier of the integration.

resourceKind
string
required

Unique identifier of the integration resource type.

Query Parameters

connectionId
string

Unique identifier of the integration connection.

hasDescription
boolean

Filter resources that have a description. If omitted, this will return resources both with and without a description.

hasOwner
boolean

Filter resources that have an owner. If omitted, this will return resources both with and without an owner.

isInScope
boolean

Filter resources that are in scope. If omitted, this will return resources both in and out of scope.

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

Response

200 - application/json

Ok

results
object
required